Bug 251826 - Review Request: maniadrive-music - Replacement soundtrack for the non free ManiaDrive soundtrack
Review Request: maniadrive-music - Replacement soundtrack for the non free Ma...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Chapman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-11 19:23 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-01 08:44:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
packages: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-08-11 19:23:04 EDT
Spec URL: http://people.atrpms.net/~hdegoede/maniadrive-music.spec
SRPM URL: http://people.atrpms.net/~hdegoede/maniadrive-music-1.0-1.fc8.src.rpm
Description: 
Soundtrack for ManiaDrive. This is not the original ManiaDrive soundtrack as
the original soundtrack is licensed under a CC BY-NC-SA license, which is not
acceptable to Fedora. This replacement music was carefully chosen to keep the
same atmosphere as the original music.

This soundtrack contains music from the following artists / groups:

Black moon
http://www.dogmazic.net/static.php?op=musiqueIndex.php&group=Black+moon

Kitoy
http://www.dogmazic.net/static.php?op=musiqueIndex.php&group=Kitoy

little
http://www.dogmazic.net/static.php?op=musiqueIndex.php&group=little

Syndrome:
http://www.dogmazic.net/static.php?op=musiqueIndex.php&group=Syndrome

Zzjmc
http://www.dogmazic.net/static.php?op=musiqueIndex.php&group=Zzjmc

---

maniadrive's review is bug 251824
Comment 1 Hans de Goede 2007-08-14 18:25:48 EDT
Here is a new version which adds 2 songs form the original soundtrack whose
unclear license situation has been cleared now:

Spec URL: http://people.atrpms.net/~hdegoede/maniadrive-music.spec
SRPM URL: http://people.atrpms.net/~hdegoede/maniadrive-music-1.0-2.fc8.src.rpm
Comment 2 Ian Chapman 2007-08-27 16:48:16 EDT
* rpmlint: No Problems
* Package named correctly: Yes 
* Patches named correctly: N/A
* Spec file named correctly: Yes
* Licence(s) acceptable: Yes
* Licence field matches: No         (!!! - See below)
* Licence file installed: Yes       (!!! - See below)
* Spec file in American English:  Yes
* Source matches upstream: N/A
* Locales use %find_lang: N/A
* Contains %clean: Yes
* %install contain rm -rf %{buildroot} or similar: Yes
* Specfile legible:  Yes
* Compiles and builds ok: Yes (mock/i386 devel) 
* Calls ldconfig in %post/%postun for shlibs: N/A
* Owns directories it creates: Yes
* Duplicate files: No
* Permissions set correctly: Yes
* Consistent macro use: Yes
* Separate -doc needed (for large docs): N/A 
* %doc affects runtime:  N/A
* Headers and static libs in -devel: N/A 
* .pc files in -devel: N/A
* .so in -devel: N/A
* -devel requires base: N/A
* Contains .la files: N/A
* Owns files it didn't create: No
* .desktop files included and installed correctly: N/A 
* Filenames valid UTF8: Yes


1. I think the license field should be:

CC-BY and Free Art and GPL+

I couldn't find anything that refers to a specific GPL version and according to
the licensing page, GPL is not a valid short form.


2. According to the guidelines:

"MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc."

So I have doubts that the text of the licenses should be included in the README.


Apart from that I see no problems.
Comment 3 Hans de Goede 2007-08-29 16:59:28 EDT
(In reply to comment #2)
> 1. I think the license field should be:
> 
> CC-BY and Free Art and GPL+
> 
> I couldn't find anything that refers to a specific GPL version and according to
> the licensing page, GPL is not a valid short form.
> 

Agreed.

> 2. According to the guidelines:
> 
> "MUST: If (and only if) the source package includes the text of the license(s)
> in its own file, then that file, containing the text of the license(s) for the
> package must be included in %doc."
> 
> So I have doubts that the text of the licenses should be included in the README.
> 

I see, well for the CC licenses, atleast a link to the webpage with the
shortform must be included, as the CC licenses have this clause:
"* For any reuse or distribution, you must make clear to others the license
terms of this work. The best way to do this is with a link to this web page."

I thought it would be better to just include the shortform, for offline reference.

More in general I think the guideline you quote doesn't apply here, as that is
meant for packages where upstream distributes the sources in bundled form, like
tar or zip file. In this case there is a direct link on the music site webpage
to the .ogg file and on this same page a link to the license, so in a sense the
license and music files are bundled too, just like when they are in a zip file,
but now one needs to do some more work to get both parts of the bundle.

In the end either way is fine with me though, so if you think its better to rip
out the license texts and only provide links to the relevant CC license short
forms, then I'll do that. So please let me know which one it will be and then
I'll prepare a new release.
Comment 4 Ian Chapman 2007-08-29 17:18:53 EDT
(In reply to comment #3)
  
> I thought it would be better to just include the shortform, for offline reference.

It actually occurred to me after the posting, that inclusion of the license
might be a clause so I read it and noticed the recommendation to link to the
license but that only served to muddy things further :-)

> In the end either way is fine with me though, so if you think its better to rip
> out the license texts and only provide links to the relevant CC license short
> forms, then I'll do that. So please let me know which one it will be and then
> I'll prepare a new release.

Well I think you made a valid point regarding the "bundling" of the license, ie
 the content and the license are available as direct links and coupled with the
fact I didn't have strong convictions either way, only doubts, I think it's fine
to leave as-is. 

Assuming the license field is fixed before import, the package is APPROVED.
Comment 5 Hans de Goede 2007-08-30 03:13:00 EDT
New Package CVS Request
=======================
Package Name:      maniadrive-music
Short Description: Replacement soundtrack for the non free ManiaDrive soundtrack
Owners:            j.w.r.degoede@hhs.nl
Branches:          devel only!
InitialCC:         <empty>
Cvsextras Commits: yes

Note, this _really_ is devel only, as mania drive needs a new php sub-package
which is only in Rawhide.
Comment 6 Jens Petersen 2007-08-30 20:42:15 EDT
Sorry need your FAS username for the Owner field.
Comment 7 Hans de Goede 2007-08-31 02:45:26 EDT
New Package CVS Request
=======================
Package Name:      maniadrive-music
Short Description: Replacement soundtrack for the non free ManiaDrive soundtrack
Owners:            jwrdegoede
Branches:          devel only!
InitialCC:         <empty>
Cvsextras Commits: yes

Note, this _really_ is devel only, as mania drive needs a new php sub-package
which is only in Rawhide.

Comment 8 Kevin Fenzi 2007-08-31 22:00:54 EDT
cvs done. 
Comment 9 Hans de Goede 2007-09-01 08:44:04 EDT
Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.